Bug 133015 - FILEOPEN PPTX: text box gets displaced by text coming from master page (which Office 365 does not show)
Summary: FILEOPEN PPTX: text box gets displaced by text coming from master page (which...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2 all versions
Hardware: All All
: medium normal
Assignee: Gülşah Köse
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords: bibisected, bisected, filter:pptx, regression
Depends on:
Blocks:
 
Reported: 2020-05-13 20:24 UTC by Gerald Pfeifer
Modified: 2021-03-09 07:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample (42.49 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2020-05-13 20:24 UTC, Gerald Pfeifer
Details
How it looks in LibreOffice (49.27 KB, image/png)
2020-05-13 20:25 UTC, Gerald Pfeifer
Details
How it looks in Office 365 (15.01 KB, image/png)
2020-05-13 20:25 UTC, Gerald Pfeifer
Details
How it looks in LibreOffice 7.1 after the patch (123.14 KB, image/png)
2020-08-03 13:50 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer 2020-05-13 20:24:39 UTC
Created attachment 160783 [details]
Sample

This is a really, really odd one, to the point where I can hardly explain
this well short of "text box gets displaced by text coming from master page
(which Office 365 does not show)" as I put into the summary.

In Office 365 this slide looks very simple: one box with three lists, 
formatted in two columns.

Opening in LibreOffice (both 7.0 alpha1 and 6.4) there is the equivalent
of lore ipsum on the page, and the aforementioned text box if pushed below
the slide.

Removing the "foreign" object from the master slide appears hard, and I have
not found a way to edit and make that slide look regular again.
Comment 1 Gerald Pfeifer 2020-05-13 20:25:20 UTC
Created attachment 160784 [details]
How it looks in LibreOffice
Comment 2 Gerald Pfeifer 2020-05-13 20:25:54 UTC
Created attachment 160785 [details]
How it looks in Office 365
Comment 3 Gerald Pfeifer 2020-06-12 20:03:29 UTC
On 2020-06-12 18:51:50 UTC vigneshwar.sundararajan@gmail.com confirmed this
bug and changed the status from UNCONFIRMED to NEEDINFO without any question
(or adding any comment for that matter).  I assume this was supposed to go
to NEW, so I am making this change.
Comment 4 Xisco Faulí 2020-07-23 16:01:08 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=aef569ed83a3ccc02639e5b2a1c7cc131ba262fc

author	Miklos Vajna <vmiklos@collabora.co.uk>	2018-09-21 11:50:57 +0200
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2018-09-21 13:30:20 +0200
commit	aef569ed83a3ccc02639e5b2a1c7cc131ba262fc (patch)
tree	90bf85cdf5359ec5e300000d396cd13d33e924fb
parent	356db87a6b622722d0d04ee3e17730a96865770a (diff)
tdf#120028 PPTX import: map shapes with multiple columns to table shapes

Bisected with: bibisect-linux64-6.2

Adding Cc: to Miklos Vajna
Comment 5 Xisco Faulí 2020-07-23 16:03:38 UTC
I see a patch from Gülşah Köse for this patch < https://gerrit.libreoffice.org/c/core/+/99279 > assigning it to her so there is no effort duplication
Comment 6 Commit Notification 2020-07-24 07:48:03 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c50ae6a282ed83762bf634fed5c91033eb305c88

tdf#133015 Fix duplicated row and column problem.

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Gülşah Köse 2020-07-24 07:50:20 UTC
Not all of the bug has been solved. Just duplicated rows and columns problem solved.
Comment 8 Xisco Faulí 2020-08-03 13:50:30 UTC
Created attachment 163899 [details]
How it looks in LibreOffice 7.1 after the patch
Comment 9 Commit Notification 2020-08-10 04:18:54 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7b64bd90637a6722438bf873b1ded74ab3424c46

tdf#133015 Do not import multicol table text on master.

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-08-10 04:20:06 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/33696b2820ce3c8b21b753d2c2bf92345ecb9276

tdf#133015 Inherit numCol from placeholder.

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-08-10 21:51:57 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/99dff69b561a8fe2d9437e6aa67a9581a6666f41

tdf#133015 Fix table position during import multicol textbox.

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2020-08-11 09:53:24 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6e99f606baad33d6e662ecb21964f3d11b562750

tdf#133015 Add test for multicolumn textboxes.

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Miklos Vajna 2020-08-17 17:52:54 UTC
I think this is now fixed on master.
Comment 14 Xisco Faulí 2020-08-31 11:13:58 UTC
(In reply to Miklos Vajna from comment #13)
> I think this is now fixed on master.

Indeed, verified in

Version: 7.1.0.0.alpha0+
Build ID: e2f4e65a7b8024c00b049eebf0d87637efda7f24
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Gülşah Köse, thanks for fixing this issue!!
Comment 15 Commit Notification 2020-09-01 16:00:49 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/ed057e1ecbdfaa067d635f38e46501ff3ec776a1

tdf#133015 Fix duplicated row and column problem.

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2020-09-01 16:00:59 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/30646d95555db67cca8902a1a456f57dfdc9c30b

tdf#133015 Do not import multicol table text on master.

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2020-09-01 16:02:09 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/8faf8f173fe75bfa27b615db0ea177941a775724

tdf#133015 Inherit numCol from placeholder.

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2020-09-01 16:03:20 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/e479eb8048aecb8b7309b02b83234592660f6417

tdf#133015 Fix table position during import multicol textbox.

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2020-09-01 16:03:31 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/6b6fc688ba334c4f08996b9a258018ef3912ae50

tdf#133015 Add test for multicolumn textboxes.

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Justin L 2021-01-16 13:02:53 UTC
Comment on attachment 160783 [details]
Sample

fix mime type so the download has the correct extension. It was saving as .ppt even though this is a pptx.